Page MenuHomePhabricator

Add final approved Terms of Use policy to wikibase.cloud/terms-of-use
Closed, ResolvedPublic1 Estimated Story Points

Description

Now that legal review of our Terms of Use is complete, we need to add the approved text to wikibase.cloud/terms-of-use. The approved text is located here. (or cleaned version as of 6.4.22 that converts better to html)

A/C

  • Terms of use is updated with the new copy
  • Privacy policy is linked in the right place of the Terms of Use text

Useful Link

Details

Due Date
Apr 10 2022, 11:00 PM

Event Timeline

WMDE-leszek changed the task status from Open to Stalled.Mar 23 2022, 7:19 PM
WMDE-leszek subscribed.

Unfortunately I have to pause the work on this task. Due to recent noticed legal requirements ("impressum"), the Terms of Use text needs to be adjusted to clearly specify the responsibility on the contents of wikis.

WMDE-leszek changed the task status from Stalled to Open.EditedApr 4 2022, 11:25 AM

The text has been updated (the same document linked)

Got started but now stalled again because of somethings need clarifying.

https://github.com/wbstack/ui/pull/395

In case the HTML is too messy, you could try piping it through pandoc – download as .docx and convert to HTML. Use pandoc inputdoc.docx -o outputdoc.html. I gave it a try and it works well, aside of the original docx having some sections in tables and headlines being manually set to bold, which are quirks that carry over. But I guess it is still a good start for resolving these quirks. (You could write a pandoc script that resolves these issues, but you are probably far faster doing it manually)

In case the HTML is too messy, you could try piping it through pandoc – download as .docx and convert to HTML. It can put out whole documents or just the markup without _head_ and styles (which is probably what you want)

cheers ill add that to the other PP update task

toan updated the task description. (Show Details)
toan subscribed.
Addshore set Due Date to Apr 10 2022, 11:00 PM.Apr 7 2022, 8:51 AM
WMDE-leszek claimed this task.